org.richfaces.model

## Class SeriesHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.ComponentHandler
        - - org.richfaces.model.SeriesHandler

- All Implemented Interfaces:
    javax.faces.view.facelets.FaceletHandler

      public class SeriesHandler
      extends javax.faces.view.facelets.ComponentHandler

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeriesHandler(javax.faces.view.facelets.ComponentConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.view.facelets.MetaRuleset` | `createMetaRuleset(Class type)`

    - ### Methods inherited from class javax.faces.view.facelets.ComponentHandler

      `getComponentConfig, getTagHandlerDelegate, isNew, onComponentCreated, onComponentPopulated`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, applyNextHandler, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeriesHandler

          public SeriesHandler(javax.faces.view.facelets.ComponentConfig config)

  - ### Method Detail

    - #### createMetaRuleset

          protected javax.faces.view.facelets.MetaRuleset createMetaRuleset(Class type)

      Overrides:
        `createMetaRuleset` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.